/**
 * 开屏页面
 * @邠心vbe on 2021/03/22
 */
import React from 'react'
import { Image, StyleSheet, Text, View } from 'react-native'
import {InitSomething} from '../components/Dialog';
import { PageList } from './Router';

class Launch extends React.Component {
  
  constructor(props) {
    super(props);
    this.state = {
      isShow: true
    };
  }

  componentDidMount() {
    InitSomething();
    if (isIOS) {
      this.goHome(100);
    } else {
      this.goHome(3000);
    }
  }

  goHome(time) {
    setTimeout(() => {
      this.setState({
        isShow: false
      });
      startPage(PageList.home);
    }, time);
  }
  
  render() {
    return (
      this.state.isShow
      ? isIOS
        ? <View style={styles.iosContent}></View>
        : <View style={styles.container}>
            <View style={styles.content}>
              <Image
                style={styles.logo}
                resizeMode='contain'
                source={require('../images/app-logo.png')}/>
              {/* <Text style={styles.slogan}>Feel The Green Energy</Text> */}
            </View>
          </View>
      : <View style={styles.loaded}></View>
    );
  }
}

export default Launch

const styles = StyleSheet.create({
  container: {
    alignItems: 'center',
    backgroundColor: colorThemes,
    ...StyleSheet.absoluteFillObject
  },
  iosContent: {
    flex: 1,
    backgroundColor: colorThemes
  },
  loaded: {
    flex: 1,
    backgroundColor: '#eee'
  },
  content: {
    alignItems: 'center',
    paddingTop: $vh(30)
  },
  logo: {
    width: 190.67,
    height: 60,
    marginLeft: 0,
    //top: $vh(25),
    //bottom: $vh(25),
    //position: 'absolute'
  },
  slogan: {
    color: '#333',
    fontSize: 14,
    fontStyle: 'italic',
    fontWeight: 'bold'
  }
});